/*
 *  Simple test program -- simplified version of sample test hello.
 */

#include <bsp.h>

#include <stdlib.h>
#include <stdio.h>

char buf[4096 * 10];
#define PAGE_SIZE 4096
void test_heap(void)
{
  Heap_Control the_heap;
  _Heap_Initialize( &the_heap, (void *)buf,  4096 * 10,  CPU_ALIGNMENT);

   void  *p = _Heap_Allocate_aligned( &the_heap, 4096, PAGE_SIZE);
   void  *g = _Heap_Allocate_aligned( &the_heap, 4096, PAGE_SIZE);

   printf("p=%p\n", p );
   printf("g=%p\n", g );
}


rtems_task Init(
  rtems_task_argument ignored
)
{
  printf( "\n\n*** Heap Allocate Aligned Test ***\n" );
  test_heap();
  printf( "*** End of Heap Allocate Aligned Test ***\n" );
  exit( 0 );
}

/* configuration information */

#define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER

#define CONFIGURE_RTEMS_INIT_TASKS_TABLE

#define CONFIGURE_MAXIMUM_TASKS 1

#define CONFIGURE_INIT

#include <rtems/confdefs.h>

/* end of file */
